.TH TKPH 1 
.\" NAME should be all caps, SECTION should be 1-8, maybe w/ subsection
.\" other parms are allowed: see man(7), man(1)
.SH NAME
tkph \- tk/tcl client for ph
.\" denote multiple entry points thus; makewhatis(8) will catch them
.SH SYNOPSIS
tkph [server]
.SH "DESCRIPTION"
ph is a client for a directory service server called qi. tkph is a
tcl/tk client intended to replace xph, the X windows version of the client.
.SS "Use"
After starting the program, a window with a small error display, a large
output display (called the "output window"), and multiple gadgetry should
appear. The focus is directed
to the "Query:" entry box near the upper right corner. To submit a query,
type (for example) a name, and press return. If there are any entries in
the directory which match, they will appear in the large output window.
"List Mode" is on by default in tkph; see the "List Mode" section below
for a description. A description of the other gadgets also follow.
.SS "List Mode"
Because some queries have many matches and it is generally painful to
scroll through a large list of them, a feature called list mode is on by
default. When a query has more than one match, it lists the names of the
matches in the output window. To see the entire entry of a particular match,
click with the left button on the name, and the output window will now
contain the entire entry. To get back to the list, click (again with the
left button) on the "Back to List" button.

The "Next" and "Previous Entry" buttons allow one to page through all of
the matches of a query. Commonly, they are also bound to the "page up" and
"page down" keys of a keyboard for convenience. One may also use these
buttons while the list is in the output window; they show the first and
last entries in a the list, respectively.

To turn list mode off and on, use the "List Mode" button.
.SS "Query:"
Pressing this button is the same as pressing return in the entry box next
to it.
.SS "Clear/Status"
This button clears the output window and places the status of the server
in the error output.
.SS "Fields.."
After pressing on "Fields..," a window with two boxes will appear. The
left box (labelled "Available") contains all of the fields that one may ask
for in a query, and the right box (labelled "Current") holds the fields
that are being asked for. By default, the current box is empty, and the
"default" light is on, meaning that the fields returned are the default of
the server. To change this, move the mouse into the available box and
click on the field of choice with the left button. It will move to the
current box. Also, as the mouse is moving along the entries, a one-line
description of the field under the mouse pointer appears at the bottom of
the window. Press "Dismiss" or the "Fields.." button (on the main tkph
window) to make the field-list window go away.
.SS "(Re)connect.."
This button brings up another window, where one may enter the name of a
new ph server. Pressing enter in this window will disconnect from the
current server and reconnect to the server. To cancel, press the
"(Re)connect.." button again.
.SS "Log in.."
Prompts for an alias and password, and then logs one in. To change
passwords, press the "passwd" button on the login window. To change, add,
or update fields, click on the field (similar to the field selection
above), and change the text in the large box in the login window
accordingly, and then press the "Update" button.
.SS "Help"
Provides on-line help in reference to the server. After clicking on the help
button, a list of topics appears, and one may double-click on the topic to
see more information.
.SS "Searching by Field"
In regular ph(1) syntax, to search by a field, one must use a
"field=<value>" syntax. Don't do this in tkph. Pressing one of the three
buttons (each next to an entry box) directly above the output window will
render a field selection window. Click on the desired field, and then
enter "<value>," as in the "field=<value>" syntax.
.SH OPTIONS
The first option, if specified, is the server to use.
.SH FILES
\fI.../tkph.icon
.SH "SEE ALSO"
ph(1)
.SH CAVEATS
Tcl.

The description of "Searching by Field" in this manual page stinks.

There isn't a description of the "Exit" button and some others in this
manual page.
.SH DIAGNOSTICS
The standard qi return codes appear in the error window.
.SH BUGS
Probably.
.SH AUTHOR
Brian Ward <bri@blah.math.tu-graz.ac.at>

